/* -*- Mode:C++; c-basic-offset:8; tab-width:8; indent-tabs-mode:t -*- */

/*
 * Copyright (c) 1999 Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by the MASH Research
 *      Group at the University of California Berkeley.
 * 4. Neither the name of the University nor of the Research Group may be
 *    used to endorse or promote products derived from this software without
 *    specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * @(#) $Header: /opt/src/mash/repository/vint/ns-2/mapping.h,v 1.0 2001/02/18 14:45:09 sow Exp $
 *
 * Contributed by Sowmya Manjanatha, Dept. of Computer Science, UNH, February 2001 
 */

#include <assert.h>
#include <stdlib.h>

#include "config.h"
#include "agent.h"
#include "ip.h"
#include "map-ds.h"

static class Map_DSClass : public TclClass {
public:
        Map_DSClass() : TclClass("Map_DS") {}
        TclObject* create(int, const char*const*) {
                return (new Map_DS(MAP_NONE));
        }
} class_map_ds;


//Mapping based on Rudiger Geib's proposal

static class Map_GeibClass : public TclClass {
public:
        Map_GeibClass() : TclClass("Map_DS/Geib") {}
        TclObject* create(int, const char*const*) {
                return (new Map_Geib());
        }
} class_map_geib;



//Mapping based on ATM Forum's proposal

static class Map_AtmfClass : public TclClass {
public:
        Map_AtmfClass() : TclClass("Map_DS/ATMF") {}
        TclObject* create(int, const char*const*) {
                return (new Map_Atmf());
        }
} class_map_atmf;


//destructor

Map_DS::~Map_DS() { }

//tcl interface

int Map_DS::command(int argc, const char*const* argv) {

	return (TclObject::command(argc,argv));
}

//Mapping based on Ayandeh et. al's proposal

static class Map_AyandehClass : public TclClass {
public:
        Map_AyandehClass() : TclClass("Map_DS/Ayandeh") {}
        TclObject* create(int, const char*const*) {
                return (new Map_Ayandeh());
        }
} class_map_ayandeh;


Map_Geib::Map_Geib() : Map_DS(MAP_GEIB) {

}

// All the actual mapping functions are found after this line

void Map_Geib::map_ef(Packet *p) {



}


void Map_Geib::map_af(Packet *p) {



}

void Map_Geib::map_be(Packet *p) {



}


void Map_Atmf::map_ef(Packet *p) {



}


void Map_Atmf::map_af(Packet *p) {



}

void Map_Atmf::map_be(Packet *p) {



}


void Map_Ayandeh::map_ef(Packet *p) {



}


void Map_Ayandeh::map_af(Packet *p) {



}
void Map_Ayandeh::map_be(Packet *p) {



}

